#include <bits/stdc++.h>

using namespace std;
using ll = long long;

int main() {
    cin.tie(nullptr);
    ios::sync_with_stdio(false);
    int n; cin >> n;
    vector<pair<ll, ll>> v(n);
    vector<ll> cur(n);
    for (auto& [x, y] : v) cin >> x >> y;
    for (int i = 0; i < n; i++) cur[i] = v[i].first;
    vector<ll> p(n); ll ans = 0, Ans = 0;
    ll j = 0;
    // for (int i = 0; i < n; i++) {
        // if (i == j) ans += cur[i], j++;
        // ll sum = 0, res = j;
        // for (int k = j; k < n; k++) {
            // sum += v[k].second;
            // if (sum <= 0) res = k + 1;
        // }
        // for (int k = j; k < res; k++) {
            // ans += cur[k];
        // }
        // for (int k = 0; k < n; k++) {
            // cur[k] += v[k].second;
        // }
        // Ans = max(ans, Ans);
        // j = res;
    // }
    // cout << Ans << '\n';
    for (int i = 0; i < n; i++) {
        ans += cur[i];
        Ans = max(Ans, ans);
    }
    cout << Ans << '\n';
    return 0;
}
